<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
    'name' => 'report'
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
    'name' => 'report'
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

<div class="report-filter-container d-flex justify-content-center my-3 <?php echo e($name); ?>" role="group">
    <button type="button" value="all" class="btn report-filter-btn report <?php echo e($name); ?> active"><?php echo e(__('dashboard.all')); ?></button>
    <button type="button" value="today" class="btn report-filter-btn report <?php echo e($name); ?>"><?php echo e(__('dashboard.today')); ?></button>
    <button type="button" value="week" class="btn report-filter-btn report <?php echo e($name); ?>"><?php echo e(__('dashboard.week')); ?></button>
    <button type="button" value="month" class="btn report-filter-btn report <?php echo e($name); ?>"><?php echo e(__('dashboard.month')); ?></button>
    <button type="button" value="year" class="btn report-filter-btn report <?php echo e($name); ?>"><?php echo e(__('dashboard.year')); ?></button>
</div>
<?php /**PATH /home/takwgzfj/montsportscamp.com/resources/views/components/report.blade.php ENDPATH**/ ?>